Ver 1.6.xについて語る

各バージョンに特化した話題についてはこちらでどうぞ!
  • (PostNo.109823)

Ver 1.6.xについて語る

投稿記事by miyabi » 2013年6月25日(火) 23:43

Pre-Release版が出たのでトピック作成。
ランチャーも新しくなり、Forgeとの親和性が高くなった?そしてRMLの運命は。
なんだか静かに大きく変わったのかもしれない1.6.xの話題はこちらでどうぞ。



アバター
miyabi
ID:b2e19df9
ブタ飼い
 
記事: 7022
登録日時: 2011年8月07日(日) 14:35
お住まい: さいたまさいたまさいたま!

  • (PostNo.109875)

Re: Ver 1.6.xについて語る

投稿記事by kazamori » 2013年6月26日(水) 12:07

ゲームの中身もさることながら、ランチャーにも大きく手が入りましたね。

1.6Preを入れてみましたが、旧ランチャーを残しておくことで現在の環境を残したまま1.6を起動することができるみたいです。
ただし、旧バージョンのjarをMOD適用したものに置き換えて(置き換えたのはVersion/該当バージョンフォルダ内のjar)
1.6用のランチャーからの旧バージョンを起動すると、該当バージョンのjarを再ダウンロードしてくるらしく、バニラのマインクラフトが立ち上がりました。

まぁ、旧ランチャーと新ランチャーのjarを探してる参照先が違うだけなんでしょうけどね
導入したいMODが1.6対応するまではこの二束のわらじ状態も便利かな、とw
あなたの手と目と頭、それとPCは何のためにあるんですか?
他人に聞く前にちゃんと調べましょう。英語がわからないなら翻訳サイトで調べましょう。
面倒?死ね!
kazamori
ID:27014aaf
木を殴ってる
 
記事: 14
登録日時: 2012年9月26日(水) 18:09

  • (PostNo.109890)

Re: Ver 1.6.xについて語る

投稿記事by ゲスト » 2013年6月26日(水) 15:35

今迄読み込んでいたjarはbinフォルダ内だったわけですが、1.6ランチャーではversionsフォルダ内から読む為に
modを入れたjarがbinフォルダにあっても読み込まないようですね。
ゲスト
ID:faff1a43
 

  • (PostNo.109891)

Re: Ver 1.6.xについて語る

投稿記事by ittekikun » 2013年6月26日(水) 15:36

新ランチャーでもごにょごにょすれば1.2.5も動くみたいです。

見た感じ「x.x.x-natives-xxxxxxxxxxxxx」的なフォルダは勝手にDLしてくれるみたい。
基本的にMinecraft.jarさえあればどのバージョンでも動くっぽい。
サイン Bukkit Spigot Japan Wikiを運営しています。
些細な事でもいいので内容の充実にご協力頂ければ幸いです。
viewtopic.php?f=19&t=33020

■■ 投稿する前に ■■
  フォーラムルール
  質問関連フォーラムで質問する時は、必ず次のトピックを一読/厳守お願い致します。
  【必読】質問の仕方について↓
  viewtopic.php?f=5&t=999
アバター
ittekikun
ID:aa8a2513
ラピスラズリ収集家
 
記事: 1252
登録日時: 2011年9月25日(日) 11:51
お住まい: 夢の国の隣

  • (PostNo.109903)

Re: Ver 1.6.xについて語る

投稿記事by エイテン » 2013年6月26日(水) 16:28

作成中のテクスチャパックをリソースパックに対応させてるんですけど、これがなかなか難しい。
変換ツール使ってもうまくいかず(丸石うんぬんのバグとは別に)四苦八苦しとります。
ただ音声もパックに合わせて帰れるのは嬉しいので絶対技術を身につけたいところ。

馬に乗ってみましたがなかなか快適ですね。また愛着がわくMobを増やしおってからに、死んだとき悲しくなっちゃうだろうが!
アバター
エイテン
ID:002f1a3c
石掘り
 
記事: 70
登録日時: 2011年7月23日(土) 15:28
お住まい: 崖の中

  • (PostNo.110148)

Re: Ver 1.6.xについて語る

投稿記事by ペトルーシュカ » 2013年6月27日(木) 18:46

新ランチャーでDLしたVer.1.5.2の.jarにForge入れて起動してみたけど、Forgeの起動が確認できなかった。Modsフォルダも生成されてないし、新ランチャーでDLしたver.1.5.xには今までのVer.1.5.x対応のMODは導入出来ないっぽいですねぇ(´・ω・`)
ちなみに使ったForgeのVerは7.8.1.737。
手法は旧来と同様Versionフォルダ内の1.5.2.jarにForgeの中身をぶっこむ方法。
もし、この方法でForge使えたよと言う方が居たら、教えてくだしゃぁ。
ペトルーシュカ
ID:2fdbc5a8
木を殴ってる
 
記事: 28
登録日時: 2013年2月16日(土) 16:36

  • (PostNo.110337)

Re: Ver 1.6.xについて語る

投稿記事by BINGO » 2013年6月28日(金) 22:39

どうも新ランチャーは毎回jarをダウンロードしているのか
jarファイルにMod等を導入しても起動するたびに初期状態に戻ってしまうようです

なんか対応策があるといいんですが....
Forgeの開発者さんがなんかの対応策を用意してくれるのでは.....と密かに期待しています
Bukkit Japan Wikiを運営しています。
http://bukkitwiki.jp/

Bukkitサーバーの構築方法や、Forgeとの共存方法、各プラグインの解説などを行っています。
編集者大募集中です。
BINGO
ID:4fa14bc4
石掘り
 
記事: 98
登録日時: 2012年11月25日(日) 14:28

  • (PostNo.110399)

Re: Ver 1.6.xについて語る

投稿記事by Electric_Power » 2013年6月29日(土) 02:29

BINGO さんが書きました:
どうも新ランチャーは毎回jarをダウンロードしているのか
jarファイルにMod等を導入しても起動するたびに初期状態に戻ってしまうようです

なんか対応策があるといいんですが....
Forgeの開発者さんがなんかの対応策を用意してくれるのでは.....と密かに期待しています


現状でも,MODを導入する手段は存在します。
もっとスマートなやり方があるかもしれませんが,私の考えた方法は以下の通りです。
例として,Minecraft 1.5.2環境の記述になっていますが,1.6以降の環境でも可能だと思います。


1. Minecraftランチャーで,バージョン1.5.2の新しいプロファイル(仮に「1.5.2 mod」と命名)を作成。
  一度起動し,jarファイルをダウンロードさせる。

2. 「.minecraft\launcher_profiles.json」をテキストエディターで開き,
  作成したプロファイルの項目の "name": "1.5.2", を "name": "1.5.2 mod", に変更。

3. 「.minecraft\versions」内の「1.5.2」フォルダーを「1.5.2 mod」に変更。

4. 「.minecraft\versions\1.5.2 mod」内の「1.5.2.jar」と「1.5.2.json」を,それぞれ「1.5.2 mod.jar」と「1.5.2 mod.json」に変更。

5. 「.minecraft\versions\1.5.2 mod\1.5.2 mod.json」をテキストエディターで開き,
  "id": "1.5.2", を "id": "1.5.2 mod", に変更。


以上で作業は終了です。
このようにすれば,MODを導入したjarファイルが公式のファイルに置き換えられることは無くなると思います。
アバター
Electric_Power
ID:78350b6b
石炭掘り
 
記事: 182
登録日時: 2013年4月29日(月) 23:12

  • (PostNo.110746)

Re: Ver 1.6.xについて語る

投稿記事by テツヤ教授 » 2013年6月30日(日) 03:01

ん~・・・結局1.6じゃなくて1.6.1からリリースされるのか。
頼む、質問する時は最低限
viewtopic.php?f=5&t=999
ここは読んでくれ。
テツヤ教授
ID:6d6400be
レッドストーン掘り
 
記事: 502
登録日時: 2012年5月24日(木) 18:05

  • (PostNo.110942)

1.6.1がリリースされたみたいですけど。

投稿記事by ゲスト » 2013年6月30日(日) 19:55

日本語表示できなくなってません?
ある程度の意味は分かるけど、やっぱし慣れちゃうとエイゴはキツイ・・・
Language制作待ちかな?
ゲスト
ID:5e6a4d1b
 

  • (PostNo.111011)

Re: Ver 1.6.xについて語る

投稿記事by yusukemac » 2013年7月01日(月) 00:00

さあ月曜日がやってきた。1.6.1だ!
      ___________________________
      Minecraft               ❘❘丨|
      server               1/1
      xxx
      ___________________________

         Scanning for games on your local network
                   o 0 o

私は2011/11/11にminecraftを買いました。
画像

Github
アバター
yusukemac
ID:bd30e743
石掘り
 
記事: 123
登録日時: 2012年2月04日(土) 16:09
お住まい: 千葉県

  • (PostNo.111063)

Re: Ver 1.6.xについて語る

投稿記事by ゲスト » 2013年7月01日(月) 14:43

Electric_Power さんが書かれた方法の手順 2. で、"name"のほかに、"lastVersionId"も命名したバージョンに変えてあげると、
命名したバージョン (例では「1.5.2 mod」) が既存のプロファイルで遊べる状態になります。
これは、ランチャー内のプロファイルの編集でバージョンを選択することと同じです。
(手順 2. で launcher_profiles.json を編集するのであれば、一緒に設定バージョンも変えてしまおう、ということです。ただの手間の問題。)

また、手順 3. 4. 5. を行うだけでも、プロファイル作成から、命名したバージョンを選べるようになります。

例:
「versions」フォルダの中に、「1.2.5」フォルダを作成。
「1.2.5」フォルダの中に1.2.5のjarをコピーして、ファイル名を「1.2.5.jar」に変更。
同じく、「1.2.5」フォルダの中に「1.6.1」フォルダから「1.6.1.json」をコピーして、ファイル名を「1.2.5.json」に変更。
「1.2.5.json」を編集し、 "id": "1.6.1" を "id": "1.2.5" に書き換え。

これで、ランチャーのプロファイル作成から1.2.5を選んで、遊ぶことができるようになります。
jarファイルは、forgeなど導入済みのものでも、同様に可能です。(起動すればmodsフォルダなどが作られます。)
ゲスト
ID:0f2bf4a7
 

  • (PostNo.111137)

Re: Ver 1.6.xについて語る

投稿記事by rinzan » 2013年7月01日(月) 21:00

https://twitter.com/jeb_/status/351670656586350593

1.6.1がリリースされました。

が、既に1.6.2も予定されているようです(苦笑)
rinzan
ID:2c2f12fe
大工さん
 
記事: 45
登録日時: 2011年6月30日(木) 11:14

  • (PostNo.111155)

Re: Ver 1.6.xについて語る

投稿記事by スネークもどき » 2013年7月01日(月) 21:59

とうとう来ましたね~
添付ファイル
2013-07-01_21.57.56.png
MODを入れてこそわかるバニラの良さ
アバター
スネークもどき
ID:b78ed75e
大工さん
 
記事: 56
登録日時: 2012年1月18日(水) 22:21

  • (PostNo.111197)

Re: Ver 1.6.xについて語る

投稿記事by squarep » 2013年7月02日(火) 00:58

大幅に中身が変わってるようですね....
Forgeもまだ出ていませんし、バックアップはまだまだ必須ですね。
Modが対応するのはいつになるやら....
squarep
ID:2a79d5cf
ラピスラズリ収集家
 
記事: 1367
登録日時: 2012年8月25日(土) 16:29

  • (PostNo.111281)

Re: Ver 1.6.xについて語る

投稿記事by Aurora » 2013年7月02日(火) 05:09

squarep さんが書きました:大幅に中身が変わってるようですね....
Forgeもまだ出ていませんし、バックアップはまだまだ必須ですね。
Modが対応するのはいつになるやら....
MOD開発パッケージである、MCPがまだ対応してないのですよね・・・
だから、Modderの殆どが開発のスタート地点さえ踏み入れてません。
Minecraftの起動方法が変わったから、その辺の対応に時間が掛かってるかもしれないですね。
私もMCP待ちです。これさえ来たらすぐにでも公開が可能です。
[PR]軽量化MODを公開しています
アバター
Aurora
ID:754258b5
金掘り
 
記事: 457
登録日時: 2011年6月27日(月) 23:46
お住まい: Aurora City

  • (PostNo.111289)

Re: Ver 1.6.xについて語る

投稿記事by テツヤ教授 » 2013年7月02日(火) 07:42

1.6.1対応のmcp802がリリースされたみたいですね。
頼む、質問する時は最低限
viewtopic.php?f=5&t=999
ここは読んでくれ。
テツヤ教授
ID:6d6400be
レッドストーン掘り
 
記事: 502
登録日時: 2012年5月24日(木) 18:05

  • (PostNo.111367)

Re: Ver 1.6.xについて語る

投稿記事by ingen084 » 2013年7月02日(火) 17:09

クリエで剣を振ってもブロックが破壊されないのはいい仕様変更と思いました。
いっつもMOB排除しようとして建造物壊してましたからw
初めて遭遇した時はバグかと思ってしまいましたが。
アバター
ingen084
ID:33c4b2de
石掘り
 
記事: 70
登録日時: 2013年4月08日(月) 11:17
お住まい: (◞‸◟)

  • (PostNo.111409)

Re: Ver 1.6.xについて語る

投稿記事by BLACK » 2013年7月02日(火) 20:42

1.5.2より前のバージョンに、新ランチャーでforgeの導入が可能だった。
やり方としては、
1. 「version」フォルダの中に、好きなバージョンのデータを作成する(やり方は他のとこ見てください)
※この時点ではまだjarの中にforgeは入れない
2. そのまま起動し、データを自動でダウンロードしてもらう
3. 起動が完了したら終了し、jarファイルの中に従来のやり方でforgeを入れる

一応自分は1.4.7でやりましたが、他バージョンはやっていません。
試してみてください。
BLACK
ID:18929249
木を殴ってる
 
記事: 22
登録日時: 2013年3月27日(水) 10:26
お住まい: Earth

  • (PostNo.111430)

Re: Ver 1.6.xについて語る

投稿記事by DEXUPURISU » 2013年7月02日(火) 21:39

すいません、新ランチャーで1.2.5が動くか確かめるために、上に書かれている方法でログインしようとしたのですが、
Client> エラー: メイン・クラスnet.minecraft.client.main.Mainが見つからなかったかロードできませんでした
Game ended with bad state (exit code 1)
というエラーコード(?)がでてしまいます、どうしたらよいのでしょうか?
DEXUPURISU
ID:35b0082b
水から上がったとこ
 
記事: 3
登録日時: 2012年12月14日(金) 22:35

次へ

Return to バージョン別雑談

x